package com.qmth.jkserver.config;

import com.qmth.jkserver.domain.FssStorageRootDomain;
import com.qmth.jkserver.domain.FssWorkRootDomain;
import com.qmth.jkserver.domain.SysConfigDomain;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 数据字典
 * @Author: CaoZixuan
 * @Date: 2021-05-08
 */
@Configuration
public class DictionaryConfig {

//    /**
//     * 云阅卷配置
//     *
//     * @return
//     */
//    @Bean
//    @ConfigurationProperties(prefix = "yun.mark", ignoreUnknownFields = false)
//    public YunMarkDomain yunMarkDomain() {
//        return new YunMarkDomain();
//    }

    @Bean
    @ConfigurationProperties(prefix = "com.qmth.fss.work", ignoreUnknownFields = false)
    public FssWorkRootDomain fssWorkRootDomain() {
        return new FssWorkRootDomain();
    }

    @Bean
    @ConfigurationProperties(prefix = "com.qmth.fss.storage", ignoreUnknownFields = false)
    public FssStorageRootDomain fssStorageRootDomain() {
        return new FssStorageRootDomain();
    }

    /**
     * 系统配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "sys.config", ignoreUnknownFields = false)
    public SysConfigDomain sysConfigDomain() {
        return new SysConfigDomain();
    }
}
