package com.qmth.jkserver.model;

//import java.util.Date;
//
//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.index.CompoundIndex;
//import org.springframework.data.mongodb.core.index.CompoundIndexes;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
//import com.qmth.jkserver.enums.ProgressType;
//
///**
// * 视唱考生答案文件
// * @author tianjun
// *
// */
//@Document(collection = "jk_exam_solfege_record")
//@CompoundIndexes({
//	@CompoundIndex(name = "jk_exam_solfege_record_index",unique = true,def = "{'student._id':1}"),
//})
//public class ExamSolfegeRecord {
//
//	@Id
//	private String id;
//
//	@Indexed
//	@Field("exam_code")
//	private String examCode;
//
//	//考生
//	@Field("student")
//    //TODO 待关联
//	private ExamStudent student;
//
//	//试卷名称
//	@Field("paper_name")
//	private String paperName;
//
//	//视唱机考考生答案包
//	@Field("record")
//    //TODO 待关联
//	private Attachment record;
//
//	//答案提交方式
//	@Field("progress_type")
//	private ProgressType progressType;
//
//	@Field("time")
//	private Date time;
//
//
//	/**
//	 * @return the paperName
//	 */
//	public String getPaperName() {
//		return paperName;
//	}
//
//	/**
//	 * @param paperName the paperName to set
//	 */
//	public void setPaperName(String paperName) {
//		this.paperName = paperName;
//	}
//
//	/**
//	 * @return the progressType
//	 */
//	public ProgressType getProgressType() {
//		return progressType;
//	}
//
//	/**
//	 * @param progressType the progressType to set
//	 */
//	public void setProgressType(ProgressType progressType) {
//		this.progressType = progressType;
//	}
//
//	/**
//	 * @return the time
//	 */
//	public Date getTime() {
//		return time;
//	}
//
//	/**
//	 * @param time the time to set
//	 */
//	public void setTime(Date time) {
//		this.time = time;
//	}
//
//	/**
//	 * @return the id
//	 */
//	public String getId() {
//		return id;
//	}
//
//	/**
//	 * @param id the id to set
//	 */
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	/**
//	 * @return the examCode
//	 */
//	public String getExamCode() {
//		return examCode;
//	}
//
//	/**
//	 * @param examCode the examCode to set
//	 */
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	/**
//	 * @return the student
//	 */
//	public ExamStudent getStudent() {
//		return student;
//	}
//
//	/**
//	 * @param student the student to set
//	 */
//	public void setStudent(ExamStudent student) {
//		this.student = student;
//	}
//
//	/**
//	 * @return the record
//	 */
//	public Attachment getRecord() {
//		return record;
//	}
//
//	/**
//	 * @param record the record to set
//	 */
//	public void setRecord(Attachment record) {
//		this.record = record;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.jkserver.enums.ProgressType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 视唱考生答案文件
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value = "JkExamSolfegeRecord对象", description = "视唱考生答案文件")
@TableName("jk_exam_solfege_record")
public class ExamSolfegeRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "学生id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty(value = "试卷名称")
    private String paperName;

    @ApiModelProperty(value = "附件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long attachmentId;

    @ApiModelProperty(value = "答案提交方式，LOCAL：本地导入，REMOTE：监考端提交")
    private ProgressType progressType;

    @ApiModelProperty(value = "创建时间")
    private Long time;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }

    public ProgressType getProgressType() {
        return progressType;
    }

    public void setProgressType(ProgressType progressType) {
        this.progressType = progressType;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }
}
