package com.qmth.jkserver.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.jkserver.model.ExamThirdOrg;

/**
 * @Description: 数据中心第三方机构 service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/10/20
 */
public interface ExamThirdOrgService extends IService<ExamThirdOrg> {

    /**
     * 根据code校验信息
     *
     * @param code
     * @return
     */
    ExamThirdOrg validByCode(String code);

    /**
     * 根据code查询信息
     *
     * @param code
     * @return
     */
    ExamThirdOrg findByCode(String code);

    /**
     * 保存数据
     *
     * @param name
     * @param code
     * @param year
     */
    void save(String name, String code, long year);

    /**
     * 校验并保存
     *
     * @param code
     * @return
     */
    void validAndSave(String code);
}
